### Function

# GLib path_skip_root

since: 2.0

#### Declaration

    const gchar*
    g_path_skip_root (
      const gchar* file_name
    )

#### Description

Returns a pointer into `file_name` after the root component, i.e. after the “/” in UNIX or “C:" under Windows. If `file_name` is not an absolute path it returns `NULL`.

Available since: 2.0

#### Parameters

`file_name`

  Type: `const gchar*`

  A file name.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `const gchar*`

A pointer into `file_name` after the root component.

The data is owned by the called function.
The return value can be `NULL`.
The value is a file system path, using the OS encoding.